.button {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex: none;
    text-align: center;
    overflow: hidden;
    vertical-align: middle;
    position: relative;
    padding: 0.5em 1em;
}

.button-caption {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.button-caption-label {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: auto;
}

.button.disabled:focus,
.button.disabled:active,
.button.disabled:hover,
.button.disabled {
    cursor: auto;
}

.button.loading .button-caption{
    color: transparent;
}

.button.loading .element-loader {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
    height: 100%;
}

.button.loading .loader-spinner{
    height: 100%;
    width: auto;
}

.button.hidden {
    background-color: transparent;
    color: transparent;
    border-color: transparent;
    box-shadow: none;
    cursor: auto;
    fill: transparent;
}

.button:hover {
    cursor: pointer;
}

.button-caption-icon {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.button-caption-icon svg{
    height: 1em;
    width: auto;
}

.icon-position-left .button-caption-icon{
    order: 1;
    margin: 0 0.5em 0 0;
}

.icon-position-right .button-caption-icon{
    order: 2;
    margin: 0 0 0 0.5em;
}

.icon-position-center .button-caption-label {
    display: none;
}
